Bug 18752 - Automatic item modifications by age should allow 'blank' values
Summary: Automatic item modifications by age should allow 'blank' values
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 16437
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-07 18:28 UTC by Nick Clemens
Modified: 2017-07-31 11:24 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18752 - Automatic item modifications by age should allow 'blank' values (4.15 KB, patch)
2017-06-08 15:36 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 18752 - Automatic item modifications by age should allow 'blank' values (4.21 KB, patch)
2017-06-09 15:32 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18752 - Automatic item modifications by age should allow 'blank' values (4.29 KB, patch)
2017-06-13 19:30 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2017-06-07 18:28:07 UTC
Per comment 14 on bug 16437 the right side of the editor should not require a vlue - with YAML we could supply a blank here and we should be bale to again
Comment 1 Owen Leonard 2017-06-08 15:36:56 UTC
Created attachment 64108 [details] [review]
Bug 18752 - Automatic item modifications by age should allow 'blank' values

This patch modifies the automatic item modification by age template to
correct errors in form validation:

- Age in days should not be required
- A value should not be required in substitutions.

To test, apply the patch and clear your browser cache if necessary.

- Go to Tools -> Automatic item modification by age.
- Confirm that when editing or creating a rule the only required field
  is the substitutions field name.
Comment 2 Nick Clemens 2017-06-09 15:32:22 UTC
Created attachment 64154 [details] [review]
Bug 18752 - Automatic item modifications by age should allow 'blank' values

This patch modifies the automatic item modification by age template to
correct errors in form validation:

- Age in days should not be required
- A value should not be required in substitutions.

To test, apply the patch and clear your browser cache if necessary.

- Go to Tools -> Automatic item modification by age.
- Confirm that when editing or creating a rule the only required field
  is the substitutions field name.

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 3 Jonathan Druart 2017-06-13 19:30:22 UTC
Created attachment 64270 [details] [review]
Bug 18752 - Automatic item modifications by age should allow 'blank' values

This patch modifies the automatic item modification by age template to
correct errors in form validation:

- Age in days should not be required
- A value should not be required in substitutions.

To test, apply the patch and clear your browser cache if necessary.

- Go to Tools -> Automatic item modification by age.
- Confirm that when editing or creating a rule the only required field
  is the substitutions field name.

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Jonathan Druart 2017-06-14 20:38:55 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 5 Fridolin SOMERS 2017-06-15 12:32:02 UTC
Pushed to 17.05.x, will be in 17.05.01
Comment 6 Katrin Fischer 2017-06-15 20:22:05 UTC
This patch has been pushed to 16.11.x and will be in 16.11.09.
Comment 7 Mason James 2017-07-31 11:24:00 UTC
Pushed to 16.05.x, for 16.05.15 release